Subject: Annual Report/Renewal Notice
From: "Michael B" <[email-masked]>
To: <[email-masked]>
Date: Thu, 24 Aug 2017 16:48:17 -0400

Hello.
We recently received 2 separate notices for our Corporation and one of our DBAs we have registered. I was able to renew, "Utah Labor Law Poster Service, Inc., The", (how it is listed on the card). That entity number is 8115248-0151. However, I was unable to renew, " Mandatory Poster Agency, Inc., The", Entity number: 8081409-0143, (Renewal ID #: 6166981). I tried it several times but the response is that the information is entered incorrectly. I have verified the numbers I have been given and they are not working. Please advise me as to how I should proceed. Your prompt assistance is greatly appreciated as the notice states that the renewal needs to be completed before 8/31/2017.
Thank you,
Michael Bishop
Labor Law Poster Service